# The project file for the qt module.
#
# Copyright (c) 2003
# 	Riverbank Computing Limited <info@riverbankcomputing.co.uk>
# 
# This file is part of PyQt.
# 
# This copy of PyQt is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2, or (at your option) any later
# version.
# 
# PyQt is supplied in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# 
# You should have received a copy of the GNU General Public License along with
# PyQt; see the file LICENSE.  If not, write to the Free Software Foundation,
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


TEMPLATE = lib
TARGET = qtcmodule
DESTDIR = /home/QtPalmtop/lib/python2.5/site-packages
CONFIG += qt warn_off release sip3 dll 
INCLUDEPATH = . /opt/QtPalmtop/include/python2.5/ /mnt/card/tmp/include/python2.5 /usr/mnt.rom/card/jiba/src/.include/Qtopia/
DEFINES = SIP_MAKE_MODULE_DLL

unix:LIBS +=  -L/home/QtPalmtop/lib/python2.5/site-packages -lsip
win32:LIBS +=  /home/QtPalmtop/lib/python2.5/site-packages\libsip.lib @BL_PYLIB@




SOURCES = \
	qtcmodule.cpp \
	sipqtQWMatrix.cpp \
	sipqtQWindowsStyle.cpp \
	sipqtQWidgetStack.cpp \
	sipqtQWidgetList.cpp \
	sipqtQWhatsThis.cpp \
	sipqtQVGroupBox.cpp \
	sipqtQVButtonGroup.cpp \
	sipqtQVBox.cpp \
	sipqtQVariant.cpp \
	sipqtQValueList.cpp \
	sipqtQDoubleValidator.cpp \
	sipqtQIntValidator.cpp \
	sipqtQValidator.cpp \
	sipqtQUrl.cpp \
	sipqtQTranslator.cpp \
	sipqtQTranslatorMessage.cpp \
	sipqtQToolTip.cpp \
	sipqtQToolTipGroup.cpp \
	sipqtQToolButton.cpp \
	sipqtQToolBar.cpp \
	sipqtQTimer.cpp \
	sipqtQTextOStream.cpp \
	sipqtQTextIStream.cpp \
	sipqtQTextStream.cpp \
	sipqtQTextCodec.cpp \
	sipqtQTextDecoder.cpp \
	sipqtQTextEncoder.cpp \
	sipqtQTextView.cpp \
	sipqtQTextBrowser.cpp \
	sipqtQTabWidget.cpp \
	sipqtQTabDialog.cpp \
	sipqtQTabBar.cpp \
	sipqtQTab.cpp \
	sipqtQStyleSheet.cpp \
	sipqtQStyleSheetItem.cpp \
	sipqtQStrList.cpp \
	sipqtQStringList.cpp \
	sipqtQString.cpp \
	sipqtQChar.cpp \
	sipqtQStatusBar.cpp \
	sipqtQSpinBox.cpp \
	sipqtQSound.cpp \
	sipqtQSocketNotifier.cpp \
	sipqtQSlider.cpp \
	sipqtQSimpleRichText.cpp \
	sipqtQSignalMapper.cpp \
	sipqtQSessionManager.cpp \
	sipqtQScrollBar.cpp \
	sipqtQRegion.cpp \
	sipqtQRegExp.cpp \
	sipqtQRect.cpp \
	sipqtQRangeControl.cpp \
	sipqtQRadioButton.cpp \
	sipqtQPushButton.cpp \
	sipqtQProgressBar.cpp \
	sipqtQPopupMenu.cpp \
	sipqtQPointArray.cpp \
	sipqtQPoint.cpp \
	sipqtQPalette.cpp \
	sipqtQPainter.cpp \
	sipqtQPaintDeviceMetrics.cpp \
	sipqtQObjectList.cpp \
	sipqtQTableView.cpp \
	sipqtQMultiLineEdit.cpp \
	sipqtQMovie.cpp \
	sipqtQMimeSourceFactory.cpp \
	sipqtQMessageBox.cpp \
	sipqtQCustomMenuItem.cpp \
	sipqtQMenuItem.cpp \
	sipqtQMenuData.cpp \
	sipqtQMenuBar.cpp \
	sipqtQMainWindow.cpp \
	sipqtQCheckListItem.cpp \
	sipqtQListView.cpp \
	sipqtQListViewItem.cpp \
	sipqtQListBoxPixmap.cpp \
	sipqtQListBoxText.cpp \
	sipqtQListBoxItem.cpp \
	sipqtQListBox.cpp \
	sipqtQList.cpp \
	sipqtQLineEdit.cpp \
	sipqtQLCDNumber.cpp \
	sipqtQVBoxLayout.cpp \
	sipqtQHBoxLayout.cpp \
	sipqtQBoxLayout.cpp \
	sipqtQGridLayout.cpp \
	sipqtQLayout.cpp \
	sipqtQWidgetItem.cpp \
	sipqtQSpacerItem.cpp \
	sipqtQLayoutItem.cpp \
	sipqtQLayoutIterator.cpp \
	sipqtQGLayoutIterator.cpp \
	sipqtQLabel.cpp \
	sipqtQImage.cpp \
	sipqtQScrollView.cpp \
	sipqtQIconView.cpp \
	sipqtQIconViewItem.cpp \
	sipqtQIconSet.cpp \
	sipqtQHGroupBox.cpp \
	sipqtQHeader.cpp \
	sipqtQHButtonGroup.cpp \
	sipqtQHBox.cpp \
	sipqtQGrid.cpp \
	sipqtQFrame.cpp \
	sipqtQFontMetrics.cpp \
	sipqtQFontInfo.cpp \
	sipqtQFontDatabase.cpp \
	sipqtQFont.cpp \
	sipqtQFileInfo.cpp \
	sipqtQIODevice.cpp \
	sipqtQFile.cpp \
	sipqtQCustomEvent.cpp \
	sipqtQChildEvent.cpp \
	sipqtQHideEvent.cpp \
	sipqtQShowEvent.cpp \
	sipqtQCloseEvent.cpp \
	sipqtQResizeEvent.cpp \
	sipqtQMoveEvent.cpp \
	sipqtQPaintEvent.cpp \
	sipqtQFocusEvent.cpp \
	sipqtQKeyEvent.cpp \
	sipqtQWheelEvent.cpp \
	sipqtQMouseEvent.cpp \
	sipqtQTimerEvent.cpp \
	sipqtQEvent.cpp \
	sipqtQColorDrag.cpp \
	sipqtQUriDrag.cpp \
	sipqtQImageDrag.cpp \
	sipqtQTextDrag.cpp \
	sipqtQStoredDrag.cpp \
	sipqtQMimeSource.cpp \
	sipqtQDragObject.cpp \
	sipqtQDir.cpp \
	sipqtQFileInfoList.cpp \
	sipqtQDialog.cpp \
	sipqtQDateTime.cpp \
	sipqtQTime.cpp \
	sipqtQDate.cpp \
	sipqtQDataStream.cpp \
	sipqtQCursor.cpp \
	sipqtQCString.cpp \
	sipqtQStyle.cpp \
	sipqtQCommonStyle.cpp \
	sipqtQComboBox.cpp \
	sipqtQColorGroup.cpp \
	sipqtQColor.cpp \
	sipqtQClipboard.cpp \
	sipqtQCheckBox.cpp \
	sipqtQByteArray.cpp \
	sipqtQGroupBox.cpp \
	sipqtQButtonGroup.cpp \
	sipqtQWidget.cpp \
	sipqtQButton.cpp \
	sipqtQBrush.cpp \
	sipqtQArray.cpp \
	sipqtQApplication.cpp \
	sipqtQActionGroup.cpp \
	sipqtQAction.cpp \
	sipqtQObject.cpp \
	sipqtQAccel.cpp \
	sipqtQSizePolicy.cpp \
	sipqtQSize.cpp \
	sipqtQBitmap.cpp \
	sipqtQPixmap.cpp \
	sipqtQPaintDevice.cpp \
	sipqtQPen.cpp \
	sipqtQt.cpp

HEADERS = \
	sipqtDeclqt.h sipqtProxyqt.h \
	sipqtQWMatrix.h \
	sipqtQWindowsStyle.h \
	sipqtQWidgetStack.h \
	sipqtQWidgetList.h \
	sipqtQWhatsThis.h \
	sipqtQVGroupBox.h \
	sipqtQVButtonGroup.h \
	sipqtQVBox.h \
	sipqtQVariant.h \
	sipqtQValueList.h \
	sipqtQDoubleValidator.h \
	sipqtQIntValidator.h \
	sipqtQValidator.h \
	sipqtQUrl.h \
	sipqtQTranslator.h \
	sipqtQTranslatorMessage.h \
	sipqtQToolTip.h \
	sipqtQToolTipGroup.h \
	sipqtQToolButton.h \
	sipqtQToolBar.h \
	sipqtQTimer.h \
	sipqtQTextOStream.h \
	sipqtQTextIStream.h \
	sipqtQTextStream.h \
	sipqtQTextCodec.h \
	sipqtQTextDecoder.h \
	sipqtQTextEncoder.h \
	sipqtQTextView.h \
	sipqtQTextBrowser.h \
	sipqtQTabWidget.h \
	sipqtQTabDialog.h \
	sipqtQTabBar.h \
	sipqtQTab.h \
	sipqtQStyleSheet.h \
	sipqtQStyleSheetItem.h \
	sipqtQStrList.h \
	sipqtQStringList.h \
	sipqtQString.h \
	sipqtQChar.h \
	sipqtQStatusBar.h \
	sipqtQSpinBox.h \
	sipqtQSound.h \
	sipqtQSocketNotifier.h \
	sipqtQSlider.h \
	sipqtQSimpleRichText.h \
	sipqtQSignalMapper.h \
	sipqtQSessionManager.h \
	sipqtQScrollBar.h \
	sipqtQRegion.h \
	sipqtQRegExp.h \
	sipqtQRect.h \
	sipqtQRangeControl.h \
	sipqtQRadioButton.h \
	sipqtQPushButton.h \
	sipqtQProgressBar.h \
	sipqtQPopupMenu.h \
	sipqtQPointArray.h \
	sipqtQPoint.h \
	sipqtQPalette.h \
	sipqtQPainter.h \
	sipqtQPaintDeviceMetrics.h \
	sipqtQObjectList.h \
	sipqtQTableView.h \
	sipqtQMultiLineEdit.h \
	sipqtQMovie.h \
	sipqtQMimeSourceFactory.h \
	sipqtQMessageBox.h \
	sipqtQCustomMenuItem.h \
	sipqtQMenuItem.h \
	sipqtQMenuData.h \
	sipqtQMenuBar.h \
	sipqtQMainWindow.h \
	sipqtQCheckListItem.h \
	sipqtQListView.h \
	sipqtQListViewItem.h \
	sipqtQListBoxPixmap.h \
	sipqtQListBoxText.h \
	sipqtQListBoxItem.h \
	sipqtQListBox.h \
	sipqtQList.h \
	sipqtQLineEdit.h \
	sipqtQLCDNumber.h \
	sipqtQVBoxLayout.h \
	sipqtQHBoxLayout.h \
	sipqtQBoxLayout.h \
	sipqtQGridLayout.h \
	sipqtQLayout.h \
	sipqtQWidgetItem.h \
	sipqtQSpacerItem.h \
	sipqtQLayoutItem.h \
	sipqtQLayoutIterator.h \
	sipqtQGLayoutIterator.h \
	sipqtQLabel.h \
	sipqtQImage.h \
	sipqtQScrollView.h \
	sipqtQIconView.h \
	sipqtQIconViewItem.h \
	sipqtQIconSet.h \
	sipqtQHGroupBox.h \
	sipqtQHeader.h \
	sipqtQHButtonGroup.h \
	sipqtQHBox.h \
	sipqtQGrid.h \
	sipqtQFrame.h \
	sipqtQFontMetrics.h \
	sipqtQFontInfo.h \
	sipqtQFontDatabase.h \
	sipqtQFont.h \
	sipqtQFileInfo.h \
	sipqtQIODevice.h \
	sipqtQFile.h \
	sipqtQCustomEvent.h \
	sipqtQChildEvent.h \
	sipqtQHideEvent.h \
	sipqtQShowEvent.h \
	sipqtQCloseEvent.h \
	sipqtQResizeEvent.h \
	sipqtQMoveEvent.h \
	sipqtQPaintEvent.h \
	sipqtQFocusEvent.h \
	sipqtQKeyEvent.h \
	sipqtQWheelEvent.h \
	sipqtQMouseEvent.h \
	sipqtQTimerEvent.h \
	sipqtQEvent.h \
	sipqtQColorDrag.h \
	sipqtQUriDrag.h \
	sipqtQImageDrag.h \
	sipqtQTextDrag.h \
	sipqtQStoredDrag.h \
	sipqtQMimeSource.h \
	sipqtQDragObject.h \
	sipqtQDir.h \
	sipqtQFileInfoList.h \
	sipqtQDialog.h \
	sipqtQDateTime.h \
	sipqtQTime.h \
	sipqtQDate.h \
	sipqtQDataStream.h \
	sipqtQCursor.h \
	sipqtQCString.h \
	sipqtQStyle.h \
	sipqtQCommonStyle.h \
	sipqtQComboBox.h \
	sipqtQColorGroup.h \
	sipqtQColor.h \
	sipqtQClipboard.h \
	sipqtQCheckBox.h \
	sipqtQByteArray.h \
	sipqtQGroupBox.h \
	sipqtQButtonGroup.h \
	sipqtQWidget.h \
	sipqtQButton.h \
	sipqtQBrush.h \
	sipqtQArray.h \
	sipqtQApplication.h \
	sipqtQActionGroup.h \
	sipqtQAction.h \
	sipqtQObject.h \
	sipqtQAccel.h \
	sipqtQSizePolicy.h \
	sipqtQSize.h \
	sipqtQBitmap.h \
	sipqtQPixmap.h \
	sipqtQPaintDevice.h \
	sipqtQPen.h \
	sipqtQt.h
