# The project file for the qtnetwork module.
#
# Copyright (c) 2003
# 	Riverbank Computing Limited <info@riverbankcomputing.co.uk>
# 
# This file is part of PyQt.
# 
# This copy of PyQt is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2, or (at your option) any later
# version.
# 
# PyQt is supplied in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# 
# You should have received a copy of the GNU General Public License along with
# PyQt; see the file LICENSE.  If not, write to the Free Software Foundation,
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


TEMPLATE = lib
TARGET = qtnetworkcmodule
DESTDIR = /home/QtPalmtop/lib/python2.5/site-packages
CONFIG += qt warn_off release sip3 dll 
INCLUDEPATH = . /opt/QtPalmtop/include/python2.5/ /mnt/card/tmp/include/python2.5 /usr/mnt.rom/card/jiba/src/.include/Qtopia/
DEFINES = SIP_MAKE_MODULE_DLL

unix:LIBS += -L/home/QtPalmtop/lib/python2.5/site-packages -lqtcmodule -L/home/QtPalmtop/lib/python2.5/site-packages -lsip
win32:LIBS += /home/QtPalmtop/lib/python2.5/site-packages\libqtc.lib /home/QtPalmtop/lib/python2.5/site-packages\libsip.lib @BL_PYLIB@



SOURCES = \
	qtnetworkcmodule.cpp \
	sipqtnetworkQSocket.cpp \
	sipqtnetworkQServerSocket.cpp \
	sipqtnetworkQHostAddress.cpp \
	sipqtnetworkQValueList.cpp \
	sipqtnetworkQDnsServer.cpp \
	sipqtnetworkQDnsMailServer.cpp \
	sipqtnetworkQDns.cpp

HEADERS = \
	sipqtnetworkDeclqtnetwork.h sipqtnetworkProxyqtnetwork.h \
	sipqtnetworkQSocket.h \
	sipqtnetworkQServerSocket.h \
	sipqtnetworkQHostAddress.h \
	sipqtnetworkQValueList.h \
	sipqtnetworkQDnsServer.h \
	sipqtnetworkQDnsMailServer.h \
	sipqtnetworkQDns.h \
	sipqtQWMatrix.h \
	sipqtQWidgetList.h \
	sipqtQValueList.h \
	sipqtQValidator.h \
	sipqtQUrl.h \
	sipqtQTranslator.h \
	sipqtQTranslatorMessage.h \
	sipqtQToolTipGroup.h \
	sipqtQToolButton.h \
	sipqtQToolBar.h \
	sipqtQTextStream.h \
	sipqtQTextCodec.h \
	sipqtQTextDecoder.h \
	sipqtQTextEncoder.h \
	sipqtQTextView.h \
	sipqtQTabBar.h \
	sipqtQTab.h \
	sipqtQStyleSheet.h \
	sipqtQStyleSheetItem.h \
	sipqtQStrList.h \
	sipqtQStringList.h \
	sipqtQString.h \
	sipqtQChar.h \
	sipqtQStatusBar.h \
	sipqtQSessionManager.h \
	sipqtQScrollBar.h \
	sipqtQRegion.h \
	sipqtQRegExp.h \
	sipqtQRect.h \
	sipqtQRangeControl.h \
	sipqtQPushButton.h \
	sipqtQPopupMenu.h \
	sipqtQPointArray.h \
	sipqtQPoint.h \
	sipqtQPalette.h \
	sipqtQPainter.h \
	sipqtQObjectList.h \
	sipqtQTableView.h \
	sipqtQMovie.h \
	sipqtQMimeSourceFactory.h \
	sipqtQCustomMenuItem.h \
	sipqtQMenuItem.h \
	sipqtQMenuData.h \
	sipqtQMenuBar.h \
	sipqtQMainWindow.h \
	sipqtQListView.h \
	sipqtQListViewItem.h \
	sipqtQListBoxItem.h \
	sipqtQListBox.h \
	sipqtQList.h \
	sipqtQLineEdit.h \
	sipqtQBoxLayout.h \
	sipqtQLayout.h \
	sipqtQSpacerItem.h \
	sipqtQLayoutItem.h \
	sipqtQLayoutIterator.h \
	sipqtQGLayoutIterator.h \
	sipqtQImage.h \
	sipqtQScrollView.h \
	sipqtQIconView.h \
	sipqtQIconViewItem.h \
	sipqtQIconSet.h \
	sipqtQHeader.h \
	sipqtQHBox.h \
	sipqtQFrame.h \
	sipqtQFontMetrics.h \
	sipqtQFontInfo.h \
	sipqtQFont.h \
	sipqtQIODevice.h \
	sipqtQFile.h \
	sipqtQCustomEvent.h \
	sipqtQChildEvent.h \
	sipqtQHideEvent.h \
	sipqtQShowEvent.h \
	sipqtQCloseEvent.h \
	sipqtQResizeEvent.h \
	sipqtQMoveEvent.h \
	sipqtQPaintEvent.h \
	sipqtQFocusEvent.h \
	sipqtQKeyEvent.h \
	sipqtQWheelEvent.h \
	sipqtQMouseEvent.h \
	sipqtQTimerEvent.h \
	sipqtQEvent.h \
	sipqtQStoredDrag.h \
	sipqtQMimeSource.h \
	sipqtQDragObject.h \
	sipqtQDir.h \
	sipqtQFileInfoList.h \
	sipqtQDialog.h \
	sipqtQDateTime.h \
	sipqtQTime.h \
	sipqtQDate.h \
	sipqtQDataStream.h \
	sipqtQCursor.h \
	sipqtQCString.h \
	sipqtQStyle.h \
	sipqtQCommonStyle.h \
	sipqtQColorGroup.h \
	sipqtQColor.h \
	sipqtQClipboard.h \
	sipqtQByteArray.h \
	sipqtQGroupBox.h \
	sipqtQButtonGroup.h \
	sipqtQWidget.h \
	sipqtQButton.h \
	sipqtQBrush.h \
	sipqtQApplication.h \
	sipqtQAction.h \
	sipqtQObject.h \
	sipqtQSizePolicy.h \
	sipqtQSize.h \
	sipqtQBitmap.h \
	sipqtQPixmap.h \
	sipqtQPaintDevice.h \
	sipqtQPen.h \
	sipqtQt.h
