# The project file for the SIP module.
#
# Copyright (c) 2003
# 	Riverbank Computing Limited <info@riverbankcomputing.co.uk>
# 
# This file is part of SIP.
# 
# This copy of SIP is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2, or (at your option) any later
# version.
# 
# SIP is supplied in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# 
# You should have received a copy of the GNU General Public License along with
# SIP; see the file LICENSE.  If not, write to the Free Software Foundation,
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


unix:VERSION = 10.1.1


TEMPLATE = lib
TARGET = sip
DESTDIR = /home/QtPalmtop/lib/python2.5/site-packages
CONFIG += dll qt release warn_off
INCLUDEPATH = . /mnt/card/tmp/include/python2.5 /usr/mnt.rom/card/jiba/src/.include/Qtopia/
DEFINES = SIP_MAKE_DLL SIP_QT_SUPPORT

win32:LIBS += @BL_PY_LIB@

SOURCES = \
	objmap.c \
	qtlib.cpp \
	threads.c \
	siplib.c

HEADERS = \
	sip.h \
	sipQt.h \
	sipint.h
