# Copyright (C) 2007-2008 Jean-Baptiste LAMY -- jibalamy@free.fr
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later verson.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import sys, os, os.path, shutil, stat

from cackompile         import *
from cackompile.globdef import *
from cackompile.base    import *

class SpecificBuilder(ConfigureMakeMakeInstallBuilder):
  def __init__(self, tarball, name, version, archive_type):
    ConfigureMakeMakeInstallBuilder.__init__(self, tarball, name, version, archive_type)
    
    self.build_version += ".0"
    self.control_values["Section"] = "apps"
#    self.package_name = "libjpeg"
    self.cross_gcc_version = "2.95"
    
  def extract(self):
    ConfigureMakeMakeInstallBuilder.extract(self)
    
    if do_python("rename source dir"):
      mv(os.path.join(target_tmp_dir, "zeditor"), os.path.join(target_tmp_dir, self.versioned_name))
      
#   def configure_for_target(self):
#     ConfigureMakeMakeInstallBuilder.configure_for_target(self, "--enable-shared")
    
#     if do_python("hack makefile to use libtool from libpng (libjpeg does not provide a libtool; WARNING you need to cackompile libpng before!!!)"):
#       s = open("Makefile").read()
#       s = s.replace("LIBTOOL = ./libtool", "LIBTOOL = ../libpng-1.2.24/libtool")
#       open("Makefile", "w").write(s)
      
#   def make_install_for_target(self):
#     if do_python("create install directories"):
#       mkdirhier(os.path.join(target_prefix, "bin"))
#       mkdirhier(os.path.join(target_prefix, "include"))
#       mkdirhier(os.path.join(target_prefix, "lib"))
#       mkdirhier(os.path.join(target_prefix, "man", "man1"))
      
#     ConfigureMakeMakeInstallBuilder.make_install_for_target(self)
